:
#! /bin/sh
# @(#)delete_applic.sh	4.1 (ESO-IPG) 07/30/92 14:15:22
# .COPYRIGHT: Copyright (c) 1988 European Southern Observatory,
#                                         all rights reserved
# .TYPE           command
# .NAME           delete_applic.sh
# .LANGUAGE       shell script
# .ENVIRONMENT    Unix Systems. Executable under SHELL and C-SHELL
# .COMMENTS       
#
# .REMARKS        The external variable $MIDASHOME and $MIDVERS must be set 
#
# .AUTHOR         Carlos Guirao
# .VERSION 1.1    30-Oct-1989:		Implementation.
# .VERSION 1.2    05-Dec-1989:		Adding "echo" definition
echo=echo
if [ "`echo -n`" = "-n" ] ; then
        SV_NONL="\c"
else
        echo="echo -n"
fi

#
# First of all, check $MIDASHOME and $MIDVERS
#
if [ -z "$MIDASHOME" -o -z "$MIDVERS" ] ; then
   echo "Error: Variable \$MIDASHOME or \$MIDVERS not defined."
   exit 1
fi
MID_INSTALL=$MIDASHOME/$MIDVERS/install/unix
cd $MID_INSTALL

#
# START
while : ; do
(echo ""
echo "	DELETE EXECUTABLES FILES FROM:"
echo ""
echo "	NAME		CATEGORY"
echo "	========================"
for categ in applic stdred contrib
do
    if [ ! -d $MIDASHOME/$MIDVERS/$categ ]; then
	continue
    fi
    cd $MIDASHOME/$MIDVERS/$categ
    for pack in `ls | egrep -v 'lib|exec|proc|'`
    do
        if [ -f $pack/src/makefile ] ; then
            echo  "	$pack      	$categ	"
	fi
   done
done
echo "" ) | more
cd $MID_INSTALL
echo "Type <Q> to quit or <L> to list again."

while : ; do
    $echo "Select NAME to DELETE: " $SV_NONL
    read name
    name=`echo $name | tr A-Z a-z`
    if [ "$name" = "q" ] ; then
	exit
    fi
    if [ "$name" = "l" ] ; then
	break
    fi
    if [ "$name" = "" ] ; then
	continue
    fi
    if [ -f $MIDASHOME/$MIDVERS/applic/$name/src/makefile ] ; then
	categ=applic
    elif [ -f $MIDASHOME/$MIDVERS/stdred/$name/src/makefile ] ; then
	categ=stdred
    elif [ -f $MIDASHOME/$MIDVERS/contrib/$name/src/makefile ] ; then
	categ=contrib
    else
	echo "$name: No such package with that name"
	continue
    fi

    $echo "Number of blocks to be deleted (wait): " $SV_NONL
    cd $MIDASHOME/$MIDVERS/$categ/$name/src
    ls -s `make -n clean_exec | sed -e 's/^rm//' -e 's/-f//'` 2>/dev/null | \
    awk 'BEGIN { size=0 } { size=size+$1 } \
	 END { print size; if (size == 0) exit 1 }' 
    if [ $? != 0 ] ; then
	continue
    fi
    $echo "Do you want to delete $name executables [yn]? (y): " $SV_NONL
    read answ
    if [ -z "$answ" ]; then
        answ=y
    fi
    if [ "$answ" != "y" -a "$answ" != "Y" ]; then
        cd $MID_INSTALL
	echo ""
        continue
    fi

    make clean_exec
    cd $MID_INSTALL
    echo ""
done
done
